-- @author  Geri-G & Sven777b changes: Pitzmann Tuning with permission from Sven777b

loadshredder = {};
g_BaseDir = g_currentModDirectory;

function loadshredder:loadMap(name)
	if string.find(name,"ProFarm1/map01.i3d",1) then
		self.searchOnCreateObjects = loadshredder.searchOnCreateObjects;
		g_currentMission.isLoadingMap = true;
		local shredder = g_currentMission:loadMap(Utils.getFilename("shredder.i3d", g_BaseDir));
		self:searchOnCreateObjects(shredder);
		g_currentMission.isLoadingMap = false;
	end;
		
end;

function loadshredder:deleteMap()
end;

function loadshredder:mouseEvent(posX, posY, isDown, isUp, button)
end;

function loadshredder:keyEvent(unicode, sym, modifier, isDown)
end;

function loadshredder:update(dt)
end;

function loadshredder:draw(dt)
end;

function loadshredder:searchOnCreateObjects(node)
    for i=1,getNumOfChildren(node) do
        local c = getChildAt(node, i-1);
        if getUserAttribute(c,"onCreate")~= nil  then
			local stringname = string.sub(getUserAttribute(c,"onCreate"),13);
			if g_onCreateUtil.onCreateFunctions[stringname] ~= nil then
				g_onCreateUtil.onCreateFunctions[stringname](c);			
			end;
			if getNumOfChildren(c) >0 then
				self:searchOnCreateObjects(c);
			end;
        else
            self:searchOnCreateObjects(c);
        end;
    end;
end;

addModEventListener(loadshredder);
